#!/bin/sh

# Generates lots of errors, will be made in a makefile maybe in the future...

export TEXTALLIONFOLDER="../"
export TXT2TAGS="python2 ../contrib/txt2tags/txt2tags"

rm -fr /tmp/textallion
mkdir -p /tmp/textallion/docs
mkdir -p /tmp/textallion/samples

# French docs
export TEXTALLIONDOC=documentation_fr
make epub
make pdf
make html
make slidy
make clean
mv *.html /tmp/textallion/docs
mv *.pdf /tmp/textallion/docs
mv *.epub /tmp/textallion/docs

# English docs
export TEXTALLIONDOC=documentation_en
make epub
make pdf
make html
make slidy
make clean
mv *.html /tmp/textallion/docs
mv *.pdf /tmp/textallion/docs
mv *.epub /tmp/textallion/docs

# Quickref doc
$TXT2TAGS -T $TEXTALLIONFOLDER/templates/xhtml.html -t xhtml --outfile quickref.html quickref.t2t
$TXT2TAGS -T $TEXTALLIONFOLDER/templates/latex_no_title.tex -t tex --outfile quickref.tex quickref.t2t
# sed -n 'H;${g;s/\\maketitle\n\\clearpage//g;p}' quickref.tex > quickref2.tex
# mv -f quickref2.tex quickref.tex
pdflatex -interaction batchmode quickref.tex
mv *.html /tmp/textallion/docs
mv *.pdf /tmp/textallion/docs
rm -fr quickref.tex
make clean

$TXT2TAGS -T $TEXTALLIONFOLDER/templates/xhtml.html presentation.t2t 
$TXT2TAGS readme.t2t

mv *.html /tmp/textallion/docs

make clean-everything

cp ../includes/sample.css /tmp/textallion/samples
cp -fr ../includes /tmp/textallion
cp -fr ../templates /tmp/textallion
cp -fr ../images /tmp/textallion

cd ../samples/
export TEXTALLIONDOC=examples

make epub
make pdf
make html
make slidy
make clean

mv *.html /tmp/textallion/samples
mv *.pdf /tmp/textallion/samples
mv *.epub /tmp/textallion/samples

cp ../README.txt /tmp/textallion/

make clean-everything

echo -e "\n\nEverything was copied into /tmp/textallion"


